<!DOCTYPE html>
<html lang="en">
<head>

    <!-- SITE TITTLE -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>StockFlow</title>

    <!-- PLUGINS CSS STYLE -->
    <!-- Bootstrap -->
    <link href="{{ asset('FrontOffice/plugins/bootstrap/css/bootstrap.min.css')}}" rel="stylesheet">
    <!-- Font Awesome -->
    <link href="{{ asset('FrontOffice/plugins/font-awsome/css/font-awesome.min.css')}}"  rel="stylesheet">
    <!-- Magnific Popup -->
    <link href="{{ asset('FrontOffice/plugins/magnific-popup/magnific-popup.css')}}" rel="stylesheet">
    <!-- Slick Carousel -->
    <link href="{{ asset('FrontOffice/plugins/slick/slick.css')}}" rel="stylesheet">
    <link href="{{ asset('FrontOffice/plugins/slick/slick-theme.css')}}" rel="stylesheet">
    <!-- CUSTOM CSS -->
    <link href="{{ asset('FrontOffice/css/style.css')}}" rel="stylesheet">

    <!-- FAVICON -->
    <link href="{{ asset('FrontOffice/images/favicon.png')}}" rel="shortcut icon">
    <style >
        #search-bar {
            display: block;
            margin: 0.25em 0 0;
            width: 100%;
            padding: 0.25em 0.5em;
            font-size: 1.2em;
        }

        .output {
            list-style: none;
            width: 100%;
            min-height: 0px;
            border-top: 0 !important;
            color: #767676;
            font-size: 0.75em;
            transition: min-height 0.2s;
            position: relative;
            z-index: 5;
        }

        .output,
        #search-bar {
            background: #fff;
            border: 1px solid #767676;
        }

        .prediction-item {
            padding: 0.5em 0.75em;
            transition: color 0.2s, background 0.2s;
        }

        .output:hover .focus {
            background: #fff;
            color: #767676;
        }

        .prediction-item:hover,
        .focus,
        .output:hover .focus:hover {
            background: #ddd;
            color: #333;
        }

        .prediction-item:hover {
            cursor: pointer;
        }

        .prediction-item strong {
            color: #333;
        }
        .prediction-item:hover strong {
            color: #000;
        }

    </style>

</head>

<body class="body-wrapper">


<!--========================================
=            Navigation Section            =
=========================================-->

<nav class="navbar main-nav border-less fixed-top navbar-expand-lg p-0">
    <div class="container-fluid p-0">
        <!-- logo -->
        <a class="navbar-brand" href="#">
            <img src="{{ asset('FrontOffice/images/lg.png')}}" alt="logo">
        </a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="fa fa-bars"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav mx-auto">
                <li class="nav-item dropdown active dropdown-slide">
                    <a class="nav-link" href="#" >Home
                        <span>/</span>
                    </a>
                    <!-- Dropdown list -->

                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{ path('afficherEntrepotfront') }}">Entrepots
                        <span>/</span>
                    </a>
                </li>
                <li class="nav-item dropdown dropdown-slide">
                    <a class="nav-link" href="#"  data-toggle="dropdown">Produits
                        <span>/</span>
                    </a>
                    <!-- Dropdown list -->
                    <div class="dropdown-menu">
                        <a class="dropdown-item" href="{{ path('afficherProduits') }}">Liste des produits</a>
                        <a class="dropdown-item" href="{{ path('AfficherTopConsulted') }}">TOP Produits</a>
                    </div>

                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{ path('recrutement_ajout') }}">Demande de recrutement
                        <span>/</span>
                    </a></li>
                <li class="nav-item">
                    <a class="nav-link" href="{{ path('publication_affiche2') }}">Forum
                        <span>/</span>
                    </a>

                </li>

                <li class="nav-item">
                    <a class="nav-link" href="{{ path('Blog_affichageF') }}">Blog
                        <span>/</span>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{ path('afficher_panier') }}">Panier</a>
                </li>


            </ul>
        </div>
    </div>
</nav>

<!--====  End of Navigation Section  ====-->



<!--============================
=            Banner            =
=============================-->



<!--====  End of Banner  ====-->


<!--===========================
=            Affichage la liste des produits            =
============================-->

<section class="section speakers bg-timer overlay-lighter">
    <div class="container">
        <div class="row">
            <div class="col-12">
                <!-- Section Title -->
                <div class="section-title white">
                    <h3>Liste des  <span class="alternate">Produits</span></h3>

                </div>
            </div>
            <div class="col-lg-6 col-md-10 mx-auto">
                <div class="sidebar">
                    <!-- Search Widget -->
              <!--    <form method="POST">
                      <div class="widget search p-0">
                          <div class="input-group">
                              <input type="text" class="form-control main m-0"  placeholder="Search..." name="search">

                              <input class="input-group-addon" type="submit" name="submit" value="recherche">

                          </div>
                      </div>
                  </form> -->
                    <div class="widget search p-0">
                        <div class="input-group">
                            <input type="text" class="form-control main m-0"  id="search-bar" autocomplete="off">



                        </div>
                        <ul class="output" style="display:none;"></ul>
                    </div>
                    <script src="{{ asset('FrontOffice/plugins/jquery/jquery-3.2.1.min.js')}}"></script>
                    <script>
                        $(document).ready(function () {
                            var $imgs = [];
                            var $ids=[];
                            var $produits = [].sort(),
                                $return = [];
                            $.ajax({
                                url: 'GetSearchName',
                                success: function (data) {
                                    $produits=data;
                                },
                                error: function (xhr, textStatus, errorThrown) {
                                    console.log("Ajax request failed.");
                                }
                            });
                            $.ajax({
                                url: 'GetSearchImage',
                                success: function (data) {
                                    $imgs=data;

                                },
                                error: function (xhr, textStatus, errorThrown) {
                                    console.log("Ajax request failed.");
                                }
                            });
                            $.ajax({
                                url: 'GetSearchId',
                                success: function (data) {
                                    $ids=data;

                                },
                                error: function (xhr, textStatus, errorThrown) {
                                    console.log("Ajax request failed.");
                                }
                            });

                            function strInArray(str, strArray) {
                                for (var j = 0; j < strArray.length; j++) {
                                    if (strArray[j].match(str) && $return.length < 5) {
                                        var $h = strArray[j].replace(str, "<strong>" + str + "</strong>");
                                        $pc="<img style='height: 50px;margin-left :10px;margin-right :10px;' src='/StockflowWEB/web/uploads/products/".concat($imgs[j],"'>");
                                        $pushh="<li style='margin-left: -40px;' class='prediction-item'><a style='color: gray;' href='/StockflowWEB/web/app_dev.php/produit/details/"+$ids[j]+"'>"+$pc+"<span class='prediction-text'>"+$h+"</span></a></li>";
                                        $return.push($pushh

                                        );
                                    }
                                }
                            }

                            function nextItem(kp) {
                                if ($(".focus").length > 0) {
                                    var $next = $(".focus").next(),
                                        $prev = $(".focus").prev();
                                }

                                if (kp == 38) {
                                    // Up

                                    if ($(".focus").is(":first-child")) {
                                        $prev = $(".prediction-item:last-child");
                                    }

                                    $(".prediction-item").removeClass("focus");
                                    $prev.addClass("focus");
                                } else if (kp == 40) {
                                    // Down

                                    if ($(".focus").is(":last-child")) {
                                        $next = $(".prediction-item:first-child");
                                    }

                                    $(".prediction-item").removeClass("focus");
                                    $next.addClass("focus");
                                }
                            }

                            $(function () {
                                $("#search-bar").keydown(function (e) {
                                    $key = e.keyCode;
                                    if ($key == 38 || $key == 40) {
                                        nextItem($key);
                                        return;
                                    }

                                    setTimeout(function () {
                                        var $search = $("#search-bar").val();
                                        $return = [];

                                        strInArray($search, $produits);

                                        if ($search == "" || !$("input").val) {
                                            $(".output").html("").slideUp();
                                        } else {
                                            $(".output").html($return).slideDown();
                                        }

                                        $(".prediction-item").on("click", function () {
                                            $text = $(this).find("span").text();
                                            $(".output").slideUp(function () {
                                                $(this).html("");
                                            });
                                            $("#search-bar").val($text);
                                        });

                                        $(".prediction-item:first-child").addClass("focus");
                                    }, 50);
                                });
                            });

                            $("#search-bar").focus(function () {
                                if ($(".prediction-item").length > 0) {
                                    $(".output").slideDown();
                                }

                                $("#searchform").submit(function (e) {
                                    e.preventDefault();
                                    $text = $(".focus").find("span").text();
                                    $(".output").slideUp();
                                    $("#search-bar").val($text);
                                    $("input").blur();
                                });
                            });

                            $("#search-bar").blur(function () {
                                if ($(".prediction-item").length > 0) {
                                    $(".output").slideUp();
                                }
                            });
                        });


                    </script>

                    <div class="widget tags">
                        <!-- Widget Header -->
                        <h5 class="widget-header">Trié par :</h5>
                        <ul class="list-inline">
                            <li class="list-inline-item"><a href="{{path('afficherProduitTrie',{'choix':'prix'})}}" style="color: white">Prix</a></li>
                            <li class="list-inline-item"><a href="{{path('afficherProduitTrie',{'choix':'nom'})}}" style="color: white">Nom</a></li>
                            <li class="list-inline-item"><a href="{{path('afficherProduitTrie',{'choix':'date'})}}"style="color: white">Date</a></li>
                            <li class="list-inline-item"><a href="{{path('afficherProduitTrie',{'choix':'idCategorie'})}}"style="color: white">Catégorie</a></li>

                        </ul>
                    </div>
                </div>
            </div>
        </div>

        <div class="row">
            {% for row in produit %}
            <div class="col-lg-3 col-md-4 col-sm-6">
                <!-- Speaker 1 -->
                <div class="speaker-item">
                    <div class="image">
                        <img src="{{ asset('../web/uploads/products/'~row.imageName()) }}" alt="View details" class="img-fluid">
                        <div class="primary-overlay"></div>
                        <div class="socials">
                            <ul class="list-inline">
                                <li class="list-inline-item"><a href="{{path('details',{'idProduit':row.idProduit})}}"><i class="fa fa-eye"></i></a></li>
                                <li class="list-inline-item"><a href="{{ path('add_basket', {'id' : row.idProduit}) }}"><i class="fa fa-cart-plus"></i></a></li>
                                <li class="list-inline-item"><a href="#"><i class="fa fa-heart"></i></a></li>

                            </ul>
                        </div>
                    </div>
                    <div class="content text-center">
                        <h5><a href="{{path('details',{'idProduit':row.idProduit})}}">{{ row.nom }}</a></h5>
                        <p>Catégorie : {{ row.idCategorie.nom }}</p>
                        <p>Prix : {{ row.prix }} DT</p>

                    </div>
                </div>
            </div>
            {% endfor %}

        </div>
    </div>
</section>


<!--============================
=            Footer            =
=============================-->

<footer class="footer-main">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="block text-center">
                    <div class="footer-logo">
                        <img src="{{ asset('FrontOffice/images/lgg.png')}}" alt="logo" class="img-fluid">
                    </div>
                    <ul class="social-links-footer list-inline">
                        <li class="list-inline-item">
                            <a href="#"><i class="fa fa-facebook"></i></a>
                        </li>
                        <li class="list-inline-item">
                            <a href="#"><i class="fa fa-twitter"></i></a>
                        </li>
                        <li class="list-inline-item">
                            <a href="#"><i class="fa fa-instagram"></i></a>
                        </li>
                        <li class="list-inline-item">
                            <a href="#"><i class="fa fa-rss"></i></a>
                        </li>
                        <li class="list-inline-item">
                            <a href="#"><i class="fa fa-vimeo"></i></a>
                        </li>
                    </ul>
                </div>

            </div>
        </div>
    </div>
</footer>
<!-- Subfooter -->
<footer class="subfooter">
    <div class="container">
        <div class="row">
            <div class="col-md-6 align-self-center">
                <div class="copyright-text">
                    <p><a href="#">StockFlow</a> &#169; 2020 All Right Reserved</p>
                </div>
            </div>
            <div class="col-md-6">
                <a href="#" class="to-top"><i class="fa fa-angle-up"></i></a>
            </div>
        </div>
    </div>
</footer>


<!-- JAVASCRIPTS -->
<!-- jQuey -->
<script src="{{ asset('FrontOffice/plugins/jquery/jquery.js')}}"></script>
<!-- Popper js -->
<script src="{{ asset('FrontOffice/plugins/popper/popper.min.js')}}"></script>
<!-- Bootstrap 4 -->
<script src="{{ asset('FrontOffice/plugins/bootstrap/js/bootstrap.min.js')}}"></script>
<!-- Smooth Scroll -->
<script src="{{ asset('FrontOffice/plugins/smoothscroll/SmoothScroll.min.js')}}"></script>
<!-- Isotope -->
<script src="{{ asset('FrontOffice/plugins/isotope/mixitup.min.js')}}"></script>
<!-- Magnific Popup -->
<script src="{{ asset('FrontOffice/plugins/magnific-popup/jquery.magnific-popup.min.js')}}"></script>
<!-- Slick Carousel -->
<script src="{{ asset('FrontOffice/plugins/slick/slick.min.js')}}"></script>
<!-- SyoTimer -->
<script src="{{ asset('FrontOffice/plugins/syotimer/jquery.syotimer.min.js')}}"></script>
<!-- Google Mapl -->
<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBu5nZKbeK-WHQ70oqOWo-_4VmwOwKP9YQ"></script>
<script type="text/javascript" src="{{ asset('FrontOffice/plugins/google-map/gmap.js')}}"></script>
<!-- Custom Script -->
<script src="{{ asset('FrontOffice/js/custom.js')}}"></script>
</body>

</html>























